-- create table to hold exceptions
CREATE TABLE rls_exceptions
(schema_name VARCHAR2(30),
object_name VARCHAR2(30),
username VARCHAR2(30),
exception_time DATE,
SQL VARCHAR2(4000),
error VARCHAR2(2000));

-- modify function to audit excpetions
-- Create policy function that returns
-- records just for the user.

CREATE OR REPLACE FUNCTION pred_function (
  p_schema  IN  VARCHAR2 DEFAULT NULL,
  p_object  IN  VARCHAR2 DEFAULT NULL)
  RETURN VARCHAR2
AS
l_errm varchar2(2000);
BEGIN
  -- Restricting records by mapping ENAME
  -- to authenticated database user's name
  RETURN 'name = user';
EXCEPTION
  WHEN OTHERS
  THEN
--  l_errm := sqlerrm;
    INSERT INTO rls_exceptions
         VALUES (p_schema,
                 p_object,
                 SYS_CONTEXT ('userenv',
                              'invoking_user'),
                 SYSDATE,
                 SYS_CONTEXT ('userenv',
                              'current_sql'), NULL
                 );
    COMMIT;
    RETURN '1=0';
END;
/

SELECT COUNT (*) FROM emp;
SELECT *
  FROM rls_exceptions;
