CREATE OR REPLACE
FUNCTION No_Records
           (p_schema in varchar2 default NULL,
            p_object in varchar2 default NULL)
RETURN varchar2
AS
BEGIN
  return '1=0';
END;
/

drop table people_ro;
create table people_ro as select * from scott.emp;

begin
  DBMS_RLS.DROP_POLICY ( 
                  OBJECT_SCHEMA     => 'SEC_MGR',
                  OBJECT_NAME       => 'PEOPLE',
                  POLICY_NAME       => 'PEOPLE_RO_IUD');
end;
/
begin
  DBMS_RLS.ADD_POLICY ( 
                  OBJECT_SCHEMA   => 'SEC_MGR',
                  OBJECT_NAME     => 'PEOPLE_RO',
                  POLICY_NAME     => 'PEOPLE_RO_IUD',
                  FUNCTION_SCHEMA => 'SEC_MGR',
                  POLICY_FUNCTION => 'No_Records',
                  STATEMENT_TYPES => 'INSERT,UPDATE,DELETE',
                  UPDATE_CHECK    => TRUE);
end;
/

select count(*) from people_ro;
update people_ro set ename = null;
delete from people_ro;
insert into people_ro (ename) values ('KNOX');

CREATE OR REPLACE
FUNCTION my_func
           (p_schema in varchar2 default NULL,
            p_object in varchar2 default NULL)
RETURN varchar2
AS
BEGIN
  -- do some work
  exception
  when others then
    return '1=0';
END;
/
