package OSBD;
import java.sql.*;
import oracle.jdbc.pool.OracleDataSource; 
public class ConnectionTest {
  public static void main(String[] args) {
    long connectTime=0, connectionStart=0, connectionStop=0;
    try {
      OracleDataSource ods = new OracleDataSource();
      ods.setURL("jdbc:oracle:thin:scott/tiger@DKNOX:1521:KNOX10G");
        // Start Timer
      connectionStart = System.currentTimeMillis();
      Connection conn = ods.getConnection();
      conn.close();      
      // Stop Timer
      connectionStop = System.currentTimeMillis();
      ods.close();
    } catch (Exception e) { System.out.println(e.toString()); }
    // print connection time
    connectTime = (connectionStop - connectionStart);
    System.out.println("Database connection time: " + 
                        connectTime + " ms.");
  }
}