package OSBD;
import java.sql.*;
import oracle.jdbc.pool.OracleDataSource;

public class MultiUserConnectionTest {
  public static void main(String[] args) {
    long connectTime=0, connectionStart=0, connectionStop=0;
    long connectTime2=0, connectionStart2=0, connectionStop2=0;
    try {
      OracleDataSource ods = new OracleDataSource();
//      ods.setURL("jdbc:oracle:thin:scott/tiger@dagger.us.oracle.com:1521:DAGGER");
      ods.setURL("jdbc:oracle:oci:@(DESCRIPTION = (ADDRESS_LIST = (ADDRESS = (PROTOCOL = TCP)(HOST = DKNOX)(PORT = 1521)) ) (CONNECT_DATA = (SERVER = DEDICATED) (SERVICE_NAME = knox10g) ) )");
      ods.setUser("scott");
      ods.setPassword("tiger");
      // warm cache
      Connection conn = ods.getConnection();
      conn.close();

      connectionStart = System.currentTimeMillis();
      Connection conn1 = ods.getConnection();
      connectionStop = System.currentTimeMillis();

     // Secone connection to scott
      ods.setURL("jdbc:oracle:oci:@(DESCRIPTION = (ADDRESS_LIST = (ADDRESS = (PROTOCOL = TCP)(HOST = DKNOX)(PORT = 1521)) ) (CONNECT_DATA = (SERVER = DEDICATED) (SERVICE_NAME = knox10g) ) )");
      ods.setUser("blake");
      ods.setPassword("madd0g");
      connectionStart2 = System.currentTimeMillis();
      Connection conn2 = ods.getConnection();
      connectionStop2 = System.currentTimeMillis();
    
      conn1.close();
      conn2.close();
      ods.close();

    } catch (Exception e) { System.out.println(e.toString()); }
    // print connection time
    connectTime = (connectionStop - connectionStart);
    System.out.println("Scott Connection Time: " +
                        connectTime + " ms.");
    connectTime2 = (connectionStop2 - connectionStart2);
    System.out.println("System Connection Time: " +
                        connectTime2 + " ms.");
  }
}