package OSBD;
import java.sql.*;
import oracle.jdbc.*;
import oracle.jdbc.pool.OracleOCIConnectionPool;
import oracle.jdbc.oci.OracleOCIConnection;
public class ProxyAuthenticationTest  {
  public static void main(String[] args)  {
    long connectTime=0, connectionStart=0, connectionStop=0;
    long connectTime2=0, connectionStart2=0, connectionStop2=0;
    long connectTime3=0, connectionStart3=0, connectionStop3=0;
    String tnsAlias = "(DESCRIPTION = (ADDRESS_LIST = (ADDRESS = " +
                      "  (PROTOCOL = TCP)(HOST = dknox)(PORT = 1521)) )" +
                      "  (CONNECT_DATA = (SERVICE_NAME = knox10g) ) )";
    try {
      OracleOCIConnectionPool ods = new OracleOCIConnectionPool();
      ods.setURL("jdbc:oracle:oci:@" + tnsAlias);
      ods.setUser("app_user");
      ods.setPassword("qej4k9lD");
      java.util.Properties prop = new java.util.Properties();
      prop.setProperty(OracleOCIConnectionPool.CONNPOOL_MIN_LIMIT, "3");
      prop.setProperty(OracleOCIConnectionPool.CONNPOOL_MAX_LIMIT, "20");
      prop.setProperty(OracleOCIConnectionPool.CONNPOOL_INCREMENT, "1");
      ods.setPoolConfig(prop);

      java.util.Properties userNameProp = new java.util.Properties();
      userNameProp.setProperty(OracleOCIConnectionPool.PROXY_USER_NAME, 
                               "scott");
      connectionStart = System.currentTimeMillis();
      Connection conn = ods.getProxyConnection(
                          OracleOCIConnectionPool.PROXYTYPE_USER_NAME, 
                          userNameProp);
      connectionStop = System.currentTimeMillis();
      
      connectionStart2 = System.currentTimeMillis();
      Connection conn2 = ods.getProxyConnection(
                          OracleOCIConnectionPool.PROXYTYPE_USER_NAME, 
                          userNameProp);
      connectionStop2 = System.currentTimeMillis();
/*
      connectionStart3 = System.currentTimeMillis();
      userNameProp.setProperty(OracleOCIConnectionPool.PROXY_USER_NAME,
                               "blake");
      Connection conn3 = ods.getProxyConnection(
                          OracleOCIConnectionPool.PROXYTYPE_USER_NAME, 
                          userNameProp);
      connectionStop3 = System.currentTimeMillis();

      Thread.sleep(10000);
*/
      conn.close();
      conn2.close();
      //conn3.close();
      ods.close();
    } catch (Exception e)    { System.out.println(e.toString()); }

    // print connection time
    connectTime = (connectionStop - connectionStart);
    System.out.println("Initial connection time for pool: " + 
                        connectTime + " ms.");
    connectTime2 = (connectionStop2 - connectionStart2);
    System.out.println("Connection 2 to Scott user: " + 
                        connectTime2 + " ms.");   
    connectTime3 = (connectionStop3 - connectionStart3);
    System.out.println("Connection 3 to Blake user: " + 
                        connectTime3 + " ms.");   
  }
}