package OSBD;
import java.sql.*;
import oracle.jdbc.*;
import oracle.jdbc.pool.OracleOCIConnectionPool;
import oracle.jdbc.oci.OracleOCIConnection;
public class ProxyRoles  { 
  public static void main(String[] args)  {
    String tnsAlias = "(DESCRIPTION = (ADDRESS_LIST = (ADDRESS = " +
                      "  (PROTOCOL = TCP)(HOST = DKNOX)(PORT = 3787)) )" +
                      "  (CONNECT_DATA = (SERVICE_NAME = knox10g) ) )";
    OracleOCIConnectionPool ods = null;
    try {
      ods = new OracleOCIConnectionPool();
      ods.setURL("jdbc:oracle:oci:@" + tnsAlias);
      ods.setUser("app_user");
      ods.setPassword("qej4k9lD");
      java.util.Properties userNameProp = new java.util.Properties();
      userNameProp.setProperty(OracleOCIConnectionPool.PROXY_USER_NAME, 
                               "scott");
      Connection conn = ods.getProxyConnection(
                          OracleOCIConnectionPool.PROXYTYPE_USER_NAME, 
                          userNameProp);

      Statement stmt = conn.createStatement();
      ResultSet rset = stmt.executeQuery("select role from session_roles");
      while (rset.next()) {
        System.out.println(rset.getString(1));
      }
      
      CallableStatement cstmt = conn.prepareCall(
                               "{CALL DBMS_SESSION.SET_ROLE('RESOURCE')}");
      cstmt.executeUpdate();
      rset = stmt.executeQuery("select role from session_roles");
      while (rset.next()) {
        System.out.println(rset.getString(1));
      }      

      cstmt.close();
      rset.close();
      stmt.close();
      conn.close();
      ods.close();
    } catch (Exception e) { 
      System.out.println(e.toString()); 
      try {
        ods.close();
      } catch (Exception e2) {}
    }

  }
}