package OSBD;
import java.sql.*;
import oracle.jdbc.pool.OracleDataSource;
public class QueryTest {
  public static void main(String[] args) {
    long queryTime=0, queryStart=0, queryStop=0;
    try {
      OracleDataSource ods = new OracleDataSource();
      ods.setURL("jdbc:oracle:thin:scott/tiger@DKNOX:1521:KNOX10G");
      Connection conn = ods.getConnection();
      Statement stmt = conn.createStatement();
      // Start SQL Timer
      queryStart = System.currentTimeMillis();
      ResultSet rset = stmt.executeQuery(
                         "select object_name from all_objects");
    // Stop SQL Timer
      queryStop = System.currentTimeMillis();
      rset.close();
      stmt.close();
      conn.close();
      ods.close();
    } catch (Exception e) { System.out.println(e.toString()); }
    queryTime = (queryStop - queryStart);
    System.out.println("Database query time: " + queryTime + " ms.");
  }
}