CONN system/manager
-- disable directory access
ALTER SYSTEM SET ldap_directory_access=NONE SCOPE=MEMORY;
-- connect as an enterprise user
CONN knox/oracle10g
CONN system/manager
-- enable directory access
ALTER SYSTEM
  SET ldap_directory_access=PASSWORD SCOPE=MEMORY;
-- connect as a user that does not exist in DB or directory
CONN aldfjaslkjd/aslkd
CONN knox/oracle10g

-- CONN sec_mgr/oracle10g
DROP USER app_public;
CREATE USER app_public IDENTIFIED GLOBALLY AS '';
GRANT CREATE SESSION TO app_public;

COL password format a20
COL usenrame format a10
SELECT username, password
  FROM dba_users
 WHERE username IN ('APP_PUBLIC', 'SCOTT');

DROP USER app_public;
-- create user with password of GLOBAL
-- Note this is NOT the officially supported
-- way to create shared schemas
CREATE USER app_public IDENTIFIED BY VALUES 'GLOBAL';
GRANT CREATE SESSION TO app_public;
CONN knox/oracle10g
