<%@ page contentType="text/html;charset=windows-1252"%>
<%@ page import="javax.naming.*,javax.sql.*,oracle.jdbc.*,java.sql.*"%>
<%@ page import="java.util.*,oracle.jdbc.pool.OracleOCIConnectionPool"%>
<%@ page import="oracle.jdbc.pool.OracleDataSource,oracle.geh.iac.*"%>
<%@ page import="oracle.jdbc.oci.OracleOCIConnection"%>

<%
  OracleConnection conn = null;
    // retrieve user's distinguished name
  String userDN = request.getHeader("Osso-User-Dn"); 
    // Try to obtain database session (connection)
    // from the Web session
  DBHolder hold = (DBHolder) session.getAttribute("conn");
    // check to see if connection was cached
  if (hold == null) {
      // no connection, create a new one
    InitialContext initial = new InitialContext();
    OracleOCIConnectionPool ds = (OracleOCIConnectionPool) 
                                   initial.lookup("jdbc/OracleCoreOCIDS");
      // set the user's name to be used in the proxy connection call                                 
    Properties prop = new Properties();
    prop.put(OracleOCIConnectionPool.PROXY_DISTINGUISHED_NAME ,userDN  );  
      // make the proxy connection
    conn = ds.getProxyConnection(
                           OracleOCIConnectionPool.PROXYTYPE_DISTINGUISHED_NAME, 
                           prop);
      // save connection in session
    hold = new DBHolder();
    hold.setConnection(conn);
    session.setAttribute("conn", hold);   
  } else {
    // Use the saved connection
    conn = hold.getConnection();
  }  
  // Can use connection to access database now
  // Note: Do NOT close the connection! DBHolder will do that
%>
