CONN system/manager
DROP USER data_owner CASCADE;

CREATE USER data_owner IDENTIFIED BY VALUES 'no login'
DEFAULT TABLESPACE users
TEMPORARY TABLESPACE temp;
ALTER USER data_owner
    QUOTA 1 m
    ON "USERS";
-- create table
CREATE TABLE data_owner.t AS SELECT * FROM DUAL;
-- create procedure

CREATE PROCEDURE data_owner.foo
AS
BEGIN
  NULL;
END;
/

-- delegate privs to the junior security officer
-- object privs
GRANT ALL ON data_owner.t TO sec_mgr
  WITH GRANT OPTION;
GRANT EXECUTE ON data_owner.foo TO sec_mgr
  WITH GRANT OPTION;
