package OSBD;
import java.sql.*;
import oracle.jdbc.pool.OracleDataSource; 
public class ConnectionCacheTest {
  public static void main(String[] args)  {
    long connectTime=0, connectionStart=0, connectionStop=0;
    long connectTime2=0, connectionStart2=0, connectionStop2=0;
    long connectTime3=0, connectionStart3=0, connectionStop3=0;
    long connectTime4=0, connectionStart4=0, connectionStop4=0;
    try {
      OracleDataSource ods = new OracleDataSource();
//      ods.setURL("jdbc:oracle:oci:@KNOX10G");
      ods.setURL("jdbc:oracle:thin:@DKNOX:3787:KNOX10G");
      ods.setUser("scott");
      ods.setPassword("tiger");
      ods.setConnectionCachingEnabled(true); // be sure set to true
      java.util.Properties prop = new java.util.Properties();
      prop.setProperty("InitialLimit", "3"); 
      prop.setProperty("MinLimit", "3");
      prop.setProperty("MaxLimit", "20");
      ods.setConnectionCacheProperties (prop);
      // Start Timer
      connectionStart = System.currentTimeMillis();
      Connection conn = ods.getConnection("scott", "tiger");
      connectionStop = System.currentTimeMillis();
      connectionStart2 = System.currentTimeMillis();
      Connection conn2 = ods.getConnection("scott", "tiger");
      connectionStop2 = System.currentTimeMillis();
      
      connectionStart3 = System.currentTimeMillis();
      Connection conn3 = ods.getConnection("blake", "madd0g");
      conn3.close();
      connectionStop3 = System.currentTimeMillis();    
      connectionStart4 = System.currentTimeMillis();
      Connection conn4 = ods.getConnection("blake", "madd0g");
      connectionStop4 = System.currentTimeMillis();

      Thread.sleep(10000);
      conn.close();
      conn2.close();
//      conn3.close();
      conn4.close();
      ods.close();
    } catch (Exception e)    { System.out.println(e.toString()); }
    // print connection time
    connectTime = (connectionStop - connectionStart);
    System.out.println("Initial connection time for pool: " + 
                        connectTime + " ms.");
    connectTime2 = (connectionStop2 - connectionStart2);
    System.out.println("Connection 2 to cached Scott user: " + 
                        connectTime2 + " ms.");   
    connectTime3 = (connectionStop3 - connectionStart3);
    System.out.println("Connection 3 to Blake user: " + 
                        connectTime3 + " ms.");   
    connectTime4 = (connectionStop4 - connectionStart4);
    System.out.println("Connection 4 to cached Blake user: " + 
                        connectTime4 + " ms.");   
  }
}