SHOW parameter os_authent_prefix
CREATE USER ops$dknox IDENTIFIED EXTERNALLY;
GRANT CREATE SESSION TO ops$dknox;

ALTER SYSTEM SET remote_os_authent=TRUE SCOPE=SPFILE;

COL user            format a10
COL "User's Server" format a15
COL "DB Server"     format a15
SELECT USER,
       SYS_CONTEXT ('userenv', 'host')
                                  "User's Server",
       SYS_CONTEXT ('userenv', 'db_name')
                                      "DB Server"
  FROM DUAL;

