package OSBD;
import java.sql.*;
import oracle.jdbc.*;
import oracle.jdbc.pool.OracleOCIConnectionPool;
import oracle.jdbc.oci.OracleOCIConnection;
public class proxyAccessCheck  {
  public static void main(String[] args)  {
    long connectTime=0, connectionStart=0, connectionStop=0;
    long connectTime2=0, connectionStart2=0, connectionStop2=0;
    long connectTime3=0, connectionStart3=0, connectionStop3=0;
    String tnsAlias = "(DESCRIPTION = (ADDRESS_LIST = (ADDRESS = " +
                      "  (PROTOCOL = TCP)(HOST = dagger.us.oracle.com)(PORT = 1521)) )" +
                      "  (CONNECT_DATA = (SERVICE_NAME = dagger) ) )";
    try {
      OracleOCIConnectionPool ods = new OracleOCIConnectionPool();
      ods.setURL("jdbc:oracle:oci:@" + tnsAlias);
      ods.setUser("app_public");
      ods.setPassword("app_public");
      java.util.Properties prop = new java.util.Properties();
      prop.setProperty(OracleOCIConnectionPool.CONNPOOL_MIN_LIMIT, "3");
      prop.setProperty(OracleOCIConnectionPool.CONNPOOL_MAX_LIMIT, "10");
      prop.setProperty(OracleOCIConnectionPool.CONNPOOL_INCREMENT, "1");
      ods.setPoolConfig(prop);

      java.util.Properties userNameProp = new java.util.Properties();
      userNameProp.setProperty(OracleOCIConnectionPool.PROXY_USER_NAME, 
                               "scott");
      connectionStart = System.currentTimeMillis();
      Connection conn = ods.getProxyConnection(
                          OracleOCIConnectionPool.PROXYTYPE_USER_NAME, 
                          userNameProp);
      connectionStop = System.currentTimeMillis();
      System.out.println("Connected.");
      Statement stmt = conn.createStatement();
      ResultSet rset = stmt.executeQuery("select user, sys_context('userenv','external_name') from dual");
      while (rset.next()) {
        System.out.println("Schema " + rset.getString(1));
        System.out.println("User " + rset.getString(2));
      }

      connectionStart2 = System.currentTimeMillis();
      Connection conn2 = ods.getProxyConnection(
                          OracleOCIConnectionPool.PROXYTYPE_USER_NAME, 
                          userNameProp);
      connectionStop2 = System.currentTimeMillis();

      conn.close();
      conn2.close();
      ods.close();
    } catch (Exception e)    { System.out.println(e.toString()); }

    // print connection time
    connectTime = (connectionStop - connectionStart);
    System.out.println("Initial connection time for pool: " + 
                        connectTime + " ms.");
    connectTime2 = (connectionStop2 - connectionStart2);
    System.out.println("Connection to Enterprise User: " + 
                        connectTime2 + " ms.");   
  }
}