-- Create a database mapped Enterprise User
CREATE USER knox_db IDENTIFIED 
  GLOBALLY AS 'cn=Knox,cn=users,dc=iac,dc=oracle,dc=com';
GRANT CREATE SESSION TO knox_db;
CONN knox/oracle10g
COL "Directory User" format a40
SELECT SYS_CONTEXT ('userenv', 'external_name')
                                 "Directory User"
  FROM DUAL;

COL password format a20
COL username format a10
COL external_name format a40
SELECT username, password, external_name
  FROM dba_users
 WHERE username IN ('KNOX_DB', 'APP_PUBLIC');
 
ALTER USER scott IDENTIFIED GLOBALLY AS '';
CONN scott

-- reset user password
ALTER USER scott IDENTIFIED BY tiger;
conn scott/tiger