package OSBD;
import java.sql.*;
import oracle.jdbc.pool.OracleDataSource;

public class FastConnect
{
  public static void main(String[] args)
  {
    long connectTime=0, connectionStart=0, connectionStop=0;
    long connectTime2=0, connectionStart2=0, connectionStop2=0;
    ConnMgr cm = new ConnMgr();
    // time first connection. This connection initializes pool.
    connectionStart = System.currentTimeMillis();
    Connection conn = cm.getConnection("SCOTT");
    connectionStop = System.currentTimeMillis();
    String query = "select ename, job, sal from person_view";
    try {
      // show security by querying from View
      Statement stmt = conn.createStatement();
      ResultSet rset = stmt.executeQuery(query);
      while (rset.next()) {
        System.out.println("Name:   " + rset.getString(1));
        System.out.println("Job:    " + rset.getString(2));
        System.out.println("Salary: " + rset.getString(3));
    }
      stmt.close();
      rset.close();
      // close the connection which resets the database session
      cm.closeConnection(conn);
      // time subsequent connection as different user
      connectionStart2 = System.currentTimeMillis();
      conn = cm.getConnection("KING");
      connectionStop2 = System.currentTimeMillis();
      // ensure database can distinguish this new user
      stmt = conn.createStatement();
      rset = stmt.executeQuery(query);
      while (rset.next()) {
        System.out.println("Name:   " + rset.getString(1));
        System.out.println("Job:    " + rset.getString(2));
        System.out.println("Salary: " + rset.getString(3));
      }
      stmt.close();
      rset.close();
      cm.closeConnection(conn);
    } catch (Exception e)    { System.out.println(e.toString()); }
    // print timing results
    connectTime = (connectionStop - connectionStart);
    System.out.println("Connection time for Pool: " + connectTime + " ms.");
    connectTime2 = (connectionStop2 - connectionStart2);
    System.out.println("Subsequent connection time: " +
                        connectTime2 + " ms.");
  }
}