-------- revocation example ---------
conn sys/oracle as sysdba;
SELECT COUNT (*)
  FROM all_objects
 WHERE status = 'INVALID';
REVOKE EXECUTE ON SYS.DBMS_SESSION FROM PUBLIC;
SELECT COUNT (*)
  FROM all_objects
 WHERE status = 'INVALID';

COL object_name format a30
COL object_type format a15
COL owner format a20
SELECT object_name, object_type, owner
  FROM all_objects
 WHERE status = 'INVALID';

------********-- compile sys packages
SET pages 999
SET lines 80
SET heading off
SET feedback off
SET termout off
SPOOL recomp.sql

SELECT    'Alter package SYS.'
       || object_name
       || ' compile;'
  FROM all_objects
 WHERE status = 'INVALID'
   AND owner = 'SYS'
   AND object_type = 'PACKAGE'
UNION ALL
SELECT    'Alter package SYS.'
       || object_name
       || ' compile body;'
  FROM all_objects
 WHERE status = 'INVALID'
   AND owner = 'SYS'
   AND object_type = 'PACKAGE BODY'
UNION ALL
SELECT DISTINCT    'grant execute on dbms_session to '
                || owner
                || ';'
           FROM all_objects
          WHERE status = 'INVALID'
            AND owner != 'SYS'
UNION ALL
SELECT    'Alter package '
       || owner
       || '.'
       || object_name
       || ' compile body;'
  FROM all_objects
 WHERE status = 'INVALID'
   AND owner != 'SYS'
   AND object_type = 'PACKAGE BODY'
UNION ALL
SELECT    'Alter package SYS.'
       || object_name
       || ' compile body;'
  FROM all_objects
 WHERE status = 'INVALID'
   AND owner = 'SYS'
   AND object_type = 'PACKAGE BODY'
/
SPOOL off
SET heading on
SET feedback on
SET termout on
-- EDIT and VALIDATE script recomp.sql
edit recomp.sql
@recomp.sql
SELECT object_name, object_type, owner
  FROM all_objects
 WHERE status = 'INVALID';
