DROP ROLE authorized_user_role;
CREATE ROLE authorized_user_role;
-- create a view which only returns records 
-- for users that have the role
CREATE OR REPLACE VIEW tv
AS
  SELECT *
    FROM data_owner.t
   WHERE 'AUTHORIZED_USER_ROLE' IN (
                                   SELECT *
                                     FROM all_user_roles);
GRANT SELECT ON tv TO scott;
CONN scott/tiger
-- no rows since not a member of role
SELECT * FROM sec_mgr.tv;
CONN sec_mgr/oracle10g
-- add scott to authorized role
GRANT authorized_user_role TO scott;
CONN scott/tiger
-- should see records
SELECT * FROM sec_mgr.tv;
