drop role app_global;

-- create a global role
CREATE ROLE app_global IDENTIFIED GLOBALLY;
-- grant privileges to role as normally done
GRANT SELECT ON data_owner.t TO app_global;
-- cannot grant role to users
GRANT app_global TO scott;
-- cannot grant global role to other roles
GRANT app_global TO DBA;
