
FUNCTION is_authorized_ip
  RETURN BOOLEAN
AS
BEGIN
  RETURN (sys_context ('userenv', 'ip_address') = '138.2.2.20');
END;
FUNCTION is_proxied_through_app_account
  RETURN BOOLEAN

BEGIN
  RETURN (sys_context ('userenv', 'proxy_user') = 'APP_PUBLIC');
END;
FUNCTION is_valid_password (p_pass1 IN VARCHAR2, 
                            p_pass2 IN VARCHAR2)
  RETURN BOOLEAN
AS
BEGIN
  RETURN (p_pass1 = p_pass2);
END;

FUNCTION is_authorized_user
  RETURN BOOLEAN
AS
  l_return_val  BOOLEAN := FALSE;
BEGIN
  FOR rec IN (SELECT username
                FROM auth_users
               WHERE UPPER (username) = app_username)
  LOOP
    l_return_val := TRUE;
  END LOOP;

  RETURN l_return_val;
END;

CREATE OR REPLACE FUNCTION app_username (
  p_ext_name  IN  VARCHAR2
      DEFAULT SYS_CONTEXT ('userenv', 'external_name'))
  RETURN VARCHAR2
AS
BEGIN
  RETURN UPPER (SUBSTR (p_ext_name,
                        4,
                        INSTR (p_ext_name, ',') - 4));
END;
/

SELECT app_username ('cn=david, ou=IAC, o=oracle, c=US')
  FROM DUAL;

CREATE TABLE auth_users
  (username VARCHAR2(30));
